## net.sourceforge.pmd.symboltable
Class ImageFinderFunction

    java.lang.Object
      net.sourceforge.pmd.symboltable.ImageFinderFunction

All Implemented Interfaces:
  UnaryFunction

public class ImageFinderFunction
extends java.lang.Object
implements UnaryFunction

Constructor Summary
`ImageFinderFunction(java.util.List imageList)`
`ImageFinderFunction(java.lang.String img)`

Method Summary
`void` `applyTo(java.lang.Object o)`
`NameDeclaration` `getDecl()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageFinderFunction

    public ImageFinderFunction(java.lang.String img)

### ImageFinderFunction

    public ImageFinderFunction(java.util.List imageList)

Method Detail

### applyTo

    public void applyTo(java.lang.Object o)

  Specified by:
    `applyTo` in interface `UnaryFunction`

### getDecl

    public NameDeclaration getDecl()

Copyright © 2002-2006 InfoEther. All Rights Reserved.